%define upstream_name    XML-Feed
%define upstream_version 0.65

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      2

Summary:    Perl Module for Syndication feed parsing and auto-discovery 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::ErrorHandler)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Flexible)
BuildRequires: perl(DateTime::Format::ISO8601)
BuildRequires: perl(DateTime::Format::Mail)
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Feed::Find)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Fetch)
BuildRequires: perl(XML::Atom) >= 0.380.0
BuildRequires: perl(XML::LibXML) >= 1.660.0
BuildRequires: perl(XML::RSS) >= 1.470.0
BuildRequires: perl(XML::XPath)
BuildArch:  noarch

# (misc) not found by find-provides, as it can be changed at runtime with a 
# variable $PREFERED_PARSER
Requires:   perl(XML::RSS)
%{?perl_default_filter}

%description
XML::Feed is a syndication feed parser for both RSS and Atom feeds. It also
implements feed auto-discovery for finding feeds, given a URI.

XML::Feed supports the following syndication feed formats:

* RSS 0.91
* RSS 1.0
* RSS 2.0
* Atom

The goal of XML::Feed is to provide a unified API for parsing and using the
various syndication formats.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
SKIP_SAX_INSTALL=1 CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorlib}/XML
%{_mandir}/*/*

%changelog
* Wed Jul 10 2024 tv <tv> 2:0.650.0-1.mga10
+ Revision: 2080571
- update to 0.65

* Mon Mar 28 2022 umeabot <umeabot> 2:0.630.0-2.mga9
+ Revision: 1830465
- Mageia 9 Mass Rebuild

* Thu May 27 2021 tv <tv> 2:0.630.0-1.mga9
+ Revision: 1728589
- update to 0.63

* Wed May 26 2021 tv <tv> 2:0.620.0-1.mga9
+ Revision: 1728296
- update to 0.62

* Thu Feb 25 2021 tv <tv> 2:0.610.0-1.mga9
+ Revision: 1690381
- update to 0.61

* Sun Feb 16 2020 umeabot <umeabot> 2:0.590.0-2.mga8
+ Revision: 1530388
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Aug 28 2019 tv <tv> 2:0.590.0-1.mga8
+ Revision: 1434749
- update to 0.59

* Wed Sep 19 2018 umeabot <umeabot> 2:0.530.0-3.mga7
+ Revision: 1272759
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2:0.530.0-2.mga6
+ Revision: 1035990
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 2:0.530.0-1.mga6
+ Revision: 924084
- update to 0.53

* Wed Oct 15 2014 umeabot <umeabot> 2:0.520.0-6.mga5
+ Revision: 741118
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2:0.520.0-5.mga5
+ Revision: 732627
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2:0.520.0-4.mga5
+ Revision: 686920
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2:0.520.0-3.mga4
+ Revision: 525637
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 takashi <takashi> 2:0.520.0-2.mga4
+ Revision: 433932
- Update to 0.52

* Sun Jan 13 2013 umeabot <umeabot> 2:0.500.0-2.mga3
+ Revision: 375019
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 2:0.500.0-1.mga3
+ Revision: 270332
- update to 0.50

* Tue Jun 05 2012 jquelin <jquelin> 2:0.490.0-1.mga3
+ Revision: 255605
- update to 0.49

* Mon Sep 26 2011 jquelin <jquelin> 2:0.460.0-1.mga2
+ Revision: 148253
- update to 0.46
- update to 0.45
- update to 0.44

* Mon Jan 24 2011 jquelin <jquelin> 2:0.430.0-1.mga1
+ Revision: 37731
- mageia rebuild
- imported package perl-XML-Feed

